org.eclipse.emf.cdo.server.db

## Interface IDBStoreAccessor

- All Superinterfaces:
    InternalCDOBranchManager.BranchLoader, InternalCDOCommitInfoManager.CommitInfoLoader, IQueryHandlerProvider, IStoreAccessor, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport

      public interface IDBStoreAccessor
      extends IStoreAccessor.Raw2, IStoreAccessor.UnitSupport

  A `store accessor` for CDO's proprietary object/relational mapper.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`
    `IDBConnection` | `getDBConnection()`
    `EClass` | `getObjectType(CDOID id)`
    `IPreparedStatementCache` | `getStatementCache()` Deprecated. As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.
    `IDBStore` | `getStore()` Returns the store this accessor is associated with.
    `void` | `tableCreated(IDBTable table)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.Raw2

      `rawStore`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.Raw

      `rawCommit, rawDelete, rawExport, rawImport, rawStore, rawStore, rawStore, rawStore, rawStore`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, createChunkReader, getSession, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.UnitSupport

      `finishUnit, initUnit, readUnit, readUnitRoots, writeUnits`

- - ### Method Detail

    - #### getStore

          IDBStore getStore()

      Description copied from interface: `IStoreAccessor`
      Returns the store this accessor is associated with.
      Specified by:
        `getStore` in interface `IStoreAccessor`

    - #### getDBConnection

          IDBConnection getDBConnection()

      Since:
        4.2

    - #### getConnection

          java.sql.Connection getConnection()

    - #### getObjectType

          EClass getObjectType(CDOID id)

      Since:
        4.5

    - #### getStatementCache

          @Deprecated
          IPreparedStatementCache getStatementCache()

      Deprecated. As of 4.2 use `IDBConnection.prepareStatement(String, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability)`.
      Since:
        2.0

    - #### tableCreated

          void tableCreated(IDBTable table)

      Since:
        4.6

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html